:root {
    --system-header-back-color: #555;
    --system-header-font-color: #ccc;
    --system-header-link-color: #ddd;
    --system-header-link-color-hover: #fff;

    --system-header-back-color-light: #fff;
    --system-header-font-color-light: #555;
    --system-header-link-color-light: #555;
    --system-header-link-color-hover: #999;
}

/* AdminHeader */
.ppp {
    position: relative;

    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    -webkit-text-size-adjust: 100%;
    word-break: normal;
    -moz-tab-size: 4;
    tab-size: 4;

    z-index: 9999;
}

#system_header {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    padding: 0.5em;
    margin: 0;
    width: 100%;
    background-color: var(--system-header-back-color);
    color: var(--system-header-font-color);

    & a {
        color: var(--system-header-link-color);
        text-decoration: none;
    }

    & a:hover {
        color: var(--system-header-link-color-hover);
    }


    #header_link_area {
        flex-grow: 1;
    }

    #header_option_link_area {
        flex-grow: 1;
        text-align: right;

        >a {
            margin-left: 1em;
        }
    }

    #notification_link {
        margin-left: 1em;
        cursor: pointer;
    }
}

.system_header_light {
    background-color: var(--system-header-back-color-light);
    color: var(--system-header-font-color-dark);

    & a {
        color: var(--system-header-link-color-dark);
        text-decoration: none;
    }

    & a:hover {
        color: var(--system-header-link-color-hover-dark);
    }
}

.p-system_message {
    background-color: #ffbbbb;
    color: #900;
}

.p-notification-list li {
    font-size: 1rem;
    list-style: none;
}

.p-notification-list em {
    display: inline-block;
    margin-right: 0.5em;
}